--- fe-misc.c.org	2005-07-05 17:48:25.000000000 +0700
+++ fe-misc.c	2005-07-05 18:13:03.000000000 +0700
@@ -23,7 +23,7 @@
  * Portions Copyright (c) 1994, Regents of the University of California
  *
  * IDENTIFICATION
- *	  $PostgreSQL: pgsql/src/interfaces/libpq/fe-misc.c,v 1.113 2005/02/22 04:42:20 momjian Exp $
+ *	  $PostgreSQL: pgsql/src/interfaces/libpq/fe-misc.c,v 1.114 2005/06/12 00:00:21 neilc Exp $
  *
  *-------------------------------------------------------------------------
  */
@@ -175,7 +175,8 @@
 	conn->inCursor += len;
 
 	if (conn->Pfdebug)
-		fprintf(conn->Pfdebug, libpq_gettext("From backend (%lu)> %.*s\n"), (unsigned long) len, (int) len, s);
+		fprintf(conn->Pfdebug, libpq_gettext("From backend (%lu)> %.*s\n"),
+				(unsigned long) len, (int) len, s);
 
 	return 0;
 }
@@ -590,6 +591,7 @@
 						  conn->inBufSize - conn->inEnd);
 	if (nread < 0)
 	{
+		const char *errstr;
 		if (SOCK_ERRNO == EINTR)
 			goto retry3;
 		/* Some systems return EAGAIN/EWOULDBLOCK for no data */
@@ -606,9 +608,10 @@
 		if (SOCK_ERRNO == ECONNRESET)
 			goto definitelyFailed;
 #endif
+		errstr = SOCK_STRERROR(SOCK_ERRNO, sebuf, sizeof(sebuf));
 		printfPQExpBuffer(&conn->errorMessage,
 			   libpq_gettext("could not receive data from server: %s\n"),
-						SOCK_STRERROR(SOCK_ERRNO, sebuf, sizeof(sebuf)));
+						errstr);
 		return -1;
 	}
 	if (nread > 0)
@@ -681,6 +684,7 @@
 						  conn->inBufSize - conn->inEnd);
 	if (nread < 0)
 	{
+		const char *errstr;
 		if (SOCK_ERRNO == EINTR)
 			goto retry4;
 		/* Some systems return EAGAIN/EWOULDBLOCK for no data */
@@ -697,9 +701,10 @@
 		if (SOCK_ERRNO == ECONNRESET)
 			goto definitelyFailed;
 #endif
+		errstr = SOCK_STRERROR(SOCK_ERRNO, sebuf, sizeof(sebuf));
 		printfPQExpBuffer(&conn->errorMessage,
 			   libpq_gettext("could not receive data from server: %s\n"),
-						SOCK_STRERROR(SOCK_ERRNO, sebuf, sizeof(sebuf)));
+						errstr);
 		return -1;
 	}
 	if (nread > 0)
@@ -759,6 +764,7 @@
 
 		if (sent < 0)
 		{
+			const char *errstr;
 			/*
 			 * Anything except EAGAIN/EWOULDBLOCK/EINTR is trouble. If
 			 * it's EPIPE or ECONNRESET, assume we've lost the backend
@@ -799,9 +805,10 @@
 					return -1;
 
 				default:
+					errstr = SOCK_STRERROR(SOCK_ERRNO, sebuf, sizeof(sebuf));
 					printfPQExpBuffer(&conn->errorMessage,
 					libpq_gettext("could not send data to server: %s\n"),
-						SOCK_STRERROR(SOCK_ERRNO, sebuf, sizeof(sebuf)));
+						errstr);
 					/* We don't assume it's a fatal error... */
 					conn->outCount = 0;
 					return -1;
@@ -986,10 +993,12 @@
 	if (result < 0)
 	{
 		char		sebuf[256];
+		const char *errstr;
 
+		errstr = SOCK_STRERROR(SOCK_ERRNO, sebuf, sizeof(sebuf));
 		printfPQExpBuffer(&conn->errorMessage,
 						  libpq_gettext("select() failed: %s\n"),
-						SOCK_STRERROR(SOCK_ERRNO, sebuf, sizeof(sebuf)));
+						  errstr);
 	}
 
 	return result;
